FilesystemIterator::current
FilesystemIterator::key
FilesystemIterator
PHP Manual

# FilesystemIterator::getFlags

(PHP 5 >= 5.3.0)

FilesystemIterator::getFlags — Get the handling flags

### Description

public int FilesystemIterator::getFlags ( void )

Gets the handling flags, as set in FilesystemIterator::__construct() or FilesystemIterator::setFlags().

### Parameters

This function has no parameters.

### Return Values

The integer value of the set flags.

### See Also

- FilesystemIterator::__construct() - Constructs a new filesystem iterator
- FilesystemIterator::setFlags() - Sets handling flags

FilesystemIterator::current
FilesystemIterator::key
FilesystemIterator
PHP Manual